Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 983602 - no hardened build
Summary: no hardened build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fping
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Charles R. Anderson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-11 14:26 UTC by Harald Reindl
Modified: 2013-10-21 00:55 UTC (History)
2 users (show)

Fixed In Version: fping-3.5-3.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-21 00:55:52 UTC


Attachments (Terms of Use)

Description Harald Reindl 2013-07-11 14:26:27 UTC
checksec says:
fping  19738 Partial RELRO     Canary found           NX enabled    No PIE 

http://fedoraproject.org/wiki/Packaging:Guidelines
If your package meets any of the following criteria you MUST enable the PIE compiler flags:
    Your package is long running. This means it's likely to be started and keep running until the machine is rebooted, not start on demand and quit on idle. 
    Your package has suid binaries, or binaries with capabilities. 
    Your package runs as root. 

If your package meets the following criteria you should consider enabling the PIE compiler flags:
    Your package accepts/processes untrusted input.

Comment 1 Harald Reindl 2013-08-13 20:49:39 UTC
any news here?

"you MUST enable the PIE compiler flags if Your package has suid binaries, or binaries with capabilities" is pretty clear

[root@srv-rhsoft:~]$ getcap /usr/sbin/fping
/usr/sbin/fping = cap_net_raw+ep

Comment 3 Harald Reindl 2013-08-14 13:53:15 UTC
as you can see this bugreport is for F18
builds for F19/F20 does not help me much 

http://koji.fedoraproject.org/koji/packageinfo?packageID=1758

Comment 4 Charles R. Anderson 2013-08-14 22:12:01 UTC
Build for F18 in progress now.  People get upset at me if I push to stable Fedora too quickly so don't be surprised if I wait until the package bakes in rawhide for awhile, then push an update to F19, then push an update to F18.

Comment 5 Harald Reindl 2013-08-14 22:18:43 UTC
i understand this, but i am looking at koji at least twice a day and in case of bugreports it is always a good idea if the release the reporter is using get the first koji build because he will most likely be the first tester and using the package in question :-)

Comment 6 Harald Reindl 2013-08-14 23:29:55 UTC
thanls, ymokeping up and running with the new build

rpm -q fping
fping-3.5-3.fc18.x86_64

nobody   21463  0.0  0.0   6384   624 ?        SN   01:27   0:00 /usr/sbin/fping -C 40 -q -B1 -r1 -i10 **.**.**.** **.**.**.** **.**.**.** **.**.**.** **.**.**.**

Comment 7 Fedora Update System 2013-09-01 14:48:13 UTC
fping-3.5-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fping-3.5-3.fc19

Comment 8 Fedora Update System 2013-09-02 23:27:37 UTC
fping-3.5-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-10-04 12:45:01 UTC
fping-3.5-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fping-3.5-3.fc18

Comment 10 Fedora Update System 2013-10-06 01:36:33 UTC
Package fping-3.5-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fping-3.5-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18401/fping-3.5-3.fc18
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2013-10-21 00:55:52 UTC
fping-3.5-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.